#include "CraftButton.h"

CraftButton::CraftButton( QWidget* parent, Rule* r )
:QLabel( parent ), rule( r )
{
	setWFlags( Qt::WNoAutoErase );
	setScaledContents( true );
	setFrameStyle( QFrame::Raised | QFrame::Box );
	setLineWidth( 4 );
	setMinimumSize( 256, 256 );
}

CraftButton::~CraftButton(void)
{
}

void CraftButton::mousePressEvent( QMouseEvent* e )
{ 
	emit Clicked( this ); 
}

void CraftButton::resizeEvent( QResizeEvent* e )
{
	if ( width() < height() ) resize( width(), width() );
	else if ( height() < width() ) resize ( height(), height() );
}
